MONGOC_READ_PREFS_COPY(3)

NAME
mongoc_read_prefs_copy - mongoc_read_prefs_copy()

SYNOPSIS

        mongoc_read_prefs_t *
        mongoc_read_prefs_copy (const mongoc_read_prefs_t *read_prefs)
           BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

    •   read_prefs: A mongoc_read_prefs_t.

DESCRIPTION

This function shall deep copy a read preference.

RETURNS

Returns a newly allocated read preference that should be freed with mongoc_read_prefs_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc